Subject: Re: bug#70383: Conf-mode[toml] badly set face property

From: Alastair Irving <[email-masked]>
Date: Sun, 14 Apr 2024 20:59:02 +0100

On 14/04/2024 17:46, Eli Zaretskii wrote:
>> Date: Sun, 14 Apr 2024 11:25:08 +0100
>> From: Alastair Irving <[email-masked]>
>>
>> When editting TOML files with conf-mode[toml] the face property is being
>> set badly on certain characters.  This occurs in Emacs 29.3 (running
>> with -q) but has been present in older versions.  Steps to reproduce:
>>
>> 1. Create a file test.toml containing the following:
>>
>>
>> [package]
>> name = "test"
>> # See more keys and their definitions at
>> https://doc.rust-lang.org/cargo/reference/manifest.html
>> [dependencies]
>>
>> 2. Navigate to the d in dependencies and evaluate
>>
>> (text-properties-at (point))
>>
>> The output for me looks like
>>
>> (face (font-lock-type-face font-lock-type-face font-lock-type-face
>> font-lock-type-face font-lock-type-face font-lock-ty\
>> pe-face font-lock-type-face font-lock-type-face font-lock-type-face
>> font-lock-type-face
>>
>>
>> It looks like something is wrong in the font-lock setup and the same
>> face is being applied very many times.
> I cannot reproduce this here, neither in Emacs 29 nor in Emacs 30.
> What version of the TOML grammar library are you using?
I don't think it's using a TOML grammar library, just conf-mode bundled 
with EMACS "The major mode is Conf[TOML] mode defined in conf-mode.el".  
I think an extra newline was inserted in the TOML I pasted (in the 
comment before the URL), it should be 4 lines total. I've attached the 
exact file.
>
> Jostein and Yuan, can you please look into this?